> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Channels

> Retrieve a list of channels



## OpenAPI

````yaml get /channel
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /channel:
    get:
      tags:
        - Channel
      summary: List Channels
      description: Retrieve a list of channels
      parameters:
        - name: id
          in: query
          description: Channel ID
          schema:
            type: string
        - name: created_at
          in: query
          description: Channel creation date
          schema:
            type: string
        - name: updated_at
          in: query
          description: Latest update
          schema:
            type: string
        - name: organisation_id
          in: query
          description: Organisation ID
          schema:
            type: string
        - name: type
          in: query
          description: Channel type
          schema:
            type: string
        - name: name
          in: query
          description: Name of channel
          schema:
            type: string
        - name: handle
          in: query
          description: Channel handle
          schema:
            type: string
        - name: status
          in: query
          description: Status of channel
          schema:
            type: string
        - name: active
          in: query
          description: Is channel active?
          schema:
            type: string
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
        - name: order
          in: query
          description: 'Ordering. Allowed Fields: `name`'
          schema:
            type: string
        - name: Range
          in: header
          description: Limiting and Pagination
          schema:
            type: string
        - name: Range-Unit
          in: header
          description: Limiting and Pagination
          schema:
            type: string
            default: items
        - name: offset
          in: query
          description: Limiting and Pagination
          schema:
            type: string
        - name: limit
          in: query
          description: Limiting and Pagination
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/channel'
components:
  schemas:
    channel:
      type: object
      properties:
        id:
          type: string
          description: Channel ID
          format: uuid
          default: random uuid
        created_at:
          type: string
          description: Channel creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        type:
          type: string
          description: Channel type
          format: public.channel_type
          enum:
            - email
            - sms
            - whatsapp
            - instagram
            - facebook
            - google_business_messaging
            - postal
        name:
          type: string
          description: Name of channel
          format: text
          nullable: true
        handle:
          type: string
          description: Channel handle
          format: text
          nullable: true
        status:
          type: string
          description: Status of channel
          format: public.channel_status
          enum:
            - draft
            - in-review
            - rejected
            - active
            - inactive
        active:
          type: boolean
          description: Is channel active?
          format: boolean
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````